Bug 247038 - Initscript Review
Summary: Initscript Review
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: qemu   
(Show other bugs)
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: David Woodhouse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: bzcl34nup
Keywords:
Depends On:
Blocks: InitscriptStatus
TreeView+ depends on / blocked
 
Reported: 2007-07-05 13:57 UTC by Harald Hoyer
Modified: 2008-04-04 14:14 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 14:14:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for qemu-initscript to correctly register the binary handler (1.92 KB, patch)
2007-11-19 19:25 UTC, Christian Nolte
no flags Details | Diff

Description Harald Hoyer 2007-07-05 13:57:35 UTC
Please have a look at the wikipage 
http://fedoraproject.org/wiki/FCNewInit/Initscripts
and change your initscripts to comply with the LSB standard.
Especially check the exit status and add a LSB Header.
E.g. starting a service should return with 0, if the service is already running and stopping a stopped service should also return with 0.

Also check, if your service has to be _on_ per default, and turn it off in the old chkconfig line, if not.

Thank you.

Comment 1 Christian Nolte 2007-11-19 19:04:04 UTC
I don't know if that has been considered yet, but as the initscript registers a
binary handler for .exe files: How do we handle the situation where wine is
installed too. The initscript from wine also registers a binary handler for .exe
files. Which one shall the kernel use?

Comment 2 Christian Nolte 2007-11-19 19:24:28 UTC
Furthermore the initscript does not work. The architecture test is wrong and the
package qemu-0.9.0-5.fc8 does not contain directories like /usr/qemu-*. I attach
a patch to correct this issue.

Comment 3 Christian Nolte 2007-11-19 19:25:20 UTC
Created attachment 263861 [details]
patch for qemu-initscript to correctly register the binary handler

Comment 4 Bug Zapper 2008-04-04 13:14:22 UTC
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 5 Hans de Goede 2008-04-04 14:14:20 UTC
According to the new SYSV initscripts packaging guidelines LSB headers are
optional -> closing.




Note You need to log in before you can comment on or make changes to this bug.